Page MenuHomePhabricator

Images not resized to full page width on xxhdpi devices.
Closed, ResolvedPublic

Description

Go to any page with images, e.g. [[Jellyfish]] or [[List of Boletus species]], and notice that the images are not resized to the full width of the display.
Tried on Samsung Galaxy S4 (API 18, xxhdpi). Other devices (non-xxhdpi) seem unaffected.

Event Timeline

Dbrant created this task.Sep 23 2015, 3:34 AM
Dbrant raised the priority of this task from to High.
Dbrant updated the task description. (Show Details)
Dbrant moved this task to Current Sprint on the Wikipedia-Android-App-Backlog board.
Dbrant added a subscriber: Dbrant.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 23 2015, 3:34 AM
Mholloway set Security to None.
Mholloway moved this task from To Do to Doing on the Mobile-App-Sprint-66-Android-Dysprosium board.
Mholloway removed a subscriber: Mholloway.
Dbrant updated the task description. (Show Details)Sep 23 2015, 1:44 PM
Dbrant renamed this task from [Regression] Images no longer resized to full page width. to Images not resized to full page width on xxhdpi devices..Sep 23 2015, 2:11 PM
Dbrant lowered the priority of this task from High to Normal.
Dbrant updated the task description. (Show Details)

@Mhurd, fyi (I'll add you as a reviewer to the patch).

Change 240375 had a related patch set uploaded (by Mholloway):
Fix image widening on xxhdpi devices

https://gerrit.wikimedia.org/r/240375

bearND added a subscriber: bearND.Sep 23 2015, 9:22 PM

Hmm, my Nexus 5 is xxhdpi as well, but I do get the images in [[Jellyfish]] widened. I think it would be good to ad screenshots next time.

Change 240375 merged by jenkins-bot:
Fix image widening on xxhdpi devices

https://gerrit.wikimedia.org/r/240375

Etonkovidova added a subscriber: Etonkovidova.EditedSep 25 2015, 9:41 PM

Checked with 2.0.131-alpha-2015-09-25 on Nexus 5(Android 5.1.1)
Samsung Tablet Ce0168(Android 4.0.4)

Dbrant closed this task as Resolved.Sep 28 2015, 3:40 PM